Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004513OCamlCamlp4public2008-02-28 20:422008-10-03 17:13
Reportermottl 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.1 
Target VersionFixed in Version3.11+dev 
Summary0004513: Camlp4 accepts incorrect syntax
DescriptionThe following demonstrates a weird preprocessing issue with invalid OCaml-code:

  camlp4o -str "let () = if true then then () else ()"

The above will print the valid OCaml code one might expect. It's nice that the preprocessor attempts to transform the code into one that the user may have intended, though this raises the questions whether it always has the same notion of correctness as the user... ;-)
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0004551closedertai Preprocessor drops illegally used operators 

-  Notes
(0004499)
mottl (reporter)
2008-04-23 20:27

Here is another instance of this problem with the keyword "in":

  camlp4o -str "let x = 3 in in x"
(0004653)
ertai (developer)
2008-10-03 17:13

Thank for the report(s) this bug is now fixed in the CVS HEAD version.

NOTE: PR#4603, PR#4330, PR#4551, PR#4513 are all the same bug.

- Issue History
Date Modified Username Field Change
2008-02-28 20:42 mottl New Issue
2008-03-07 12:28 doligez Status new => acknowledged
2008-04-23 20:27 mottl Note Added: 0004499
2008-06-27 10:29 ertai Relationship added has duplicate 0004551
2008-08-01 16:19 xleroy Assigned To => ertai
2008-10-03 17:13 ertai Note Added: 0004653
2008-10-03 17:13 ertai Status acknowledged => closed
2008-10-03 17:13 ertai Resolution open => fixed
2008-10-03 17:13 ertai Fixed in Version => 3.11+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker